Jump to content
Règlement du forum ×
IPTV et arnaques ×

Problème de mise à jour Ubuntu


meslouve

Recommended Posts

salut tout le monde,

 

voila mon problème sous Ubuntu 8.04 - Hardy Heron, dans le gestionnaire de mise à jour, j'ai une mise à jour de sécurité importante nommé " linux-image-2.6.24-19-Generic" mais quand j'essai d'installer la mise à jour, apres quelques secondes, j'ai le message suivant:

" E: /var/cache/apt/archives/linux-image-2.6.24-19-generic_2.6.24-19.41_i386.deb: impossible de créer un lien symbolique de secours de « ./boot/vmlinuz-2.6.24-19-generic » avant d'installer une nouvelle version".

 

ma question est de savoir si cette mise à jour est important, et si c'est le cas, comment remedier à ce probleme.

 

merci d'avance.

Link to comment
Share on other sites

moi aussi g eu le même probleme je vais changer de serveur pour les mises a jour, g fait un clean et je vais essayer de nouveau, merci amarsoft pour ton aide

 

EDIT : Et ça a marché , encoree une fois, merci à vous

Edited by guerda
Link to comment
Share on other sites

salut tout le monde,

 

" E: /var/cache/apt/archives/linux-image-2.6.24-19-generic_2.6.24-19.41_i386.deb: impossible de créer un lien symbolique de secours de « ./boot/vmlinuz-2.6.24-19-generic » avant d'installer une nouvelle version".

 

 

merci d'avance.

 

Salam,

ça a tout l'air d'un problème de privilèges alors un ptit sudo fera l'affaire :-) sinon générer une nouvelles sources.liste reste l'ultime solution :-|

Psss: un ptit sudo apt-get autoremove une fois de temps-en-temps est le bienvenu ;-)

Link to comment
Share on other sites

toujours le même problème, avec le même message d'erreur.

au faite, j'ai installé Ubuntu à partir de Windows, j'avais la flemme de créer les partitions, peut être que c'est ça qui cause le problème?

j'attends votre avis d'expert.

 

PS: si quelqu'un peut me donner un bon site pour apprendre les commandes du terminal, ça sera gentil de ça part.

Edited by meslouve
Link to comment
Share on other sites

...

 

PS: si quelqu'un peut me donner un bon site pour apprendre les commandes du terminal, ça sera gentil de ça part.

 

Voici quelques liens :

 

Un fichier PDF ==> Commandes Ubuntu

Aide Mémoire des commandes les plus courantes :

Aide mémoire Ubuntu (PDF)

Aide mémoire Ubuntu (ODT OpenOffice.org)

 

Autres liens :

http://ubuntu.tuxfamily.org/index.php?option=com_content&task=view&id=2&Itemid=3

Link to comment
Share on other sites

meslouve je m'excuse de cette intrusion dans ton topic mais je pense qu'on as la meme erreur

 

perso jai fait sudo apt-get update--->ok

sudo apt-get upgrade ---->michmich

 

erreur:

ubuntu@ubuntu-desktop:~$ sudo apt-get upgrade

Lecture des listes de paquets... Fait

Construction de l'arbre des dépendances

Lecture des informations d'état... Fait

Les paquets suivants seront mis à jour :

linux-image-2.6.24-19-generic

1 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

Il est nécessaire de prendre 0o/18,4Mo dans les archives.

Après cette opération, 0o d'espace disque supplémentaires seront utilisés.

Souhaitez-vous continuer [O/n] ? o

(Lecture de la base de données... 147659 fichiers et répertoires déjà installés.)

Préparation du remplacement de linux-image-2.6.24-19-generic 2.6.24-19.36 (en utilisant .../linux-image-2.6.24-19-generic_2.6.24-19.41_i386.deb) ...

Done.

Dépaquetage de la mise à jour de linux-image-2.6.24-19-generic ...

dpkg : erreur de traitement de /var/cache/apt/archives/linux-image-2.6.24-19-generic_2.6.24-19.41_i386.deb (--unpack) :

impossible de créer un lien symbolique de secours de « ./boot/vmlinuz-2.6.24-19-generic » avant d'installer une nouvelle version: Opération non permise

dpkg-deb: sous-processus paste tué par le signal (Relais brisé (pipe))

Running postrm hook script /sbin/update-grub.

Searching for GRUB installation directory ... found: /boot/grub

Searching for default file ... found: /boot/grub/default

Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst

Searching for splash image ... none found, skipping ...

Found kernel: /boot/vmlinuz-2.6.24-19-generic

Found kernel: /boot/vmlinuz-2.6.24-16-generic

Found kernel: /boot/memtest86+.bin

Updating /boot/grub/menu.lst ... done

 

Des erreurs ont été rencontrées pendant l'exécution :

/var/cache/apt/archives/linux-image-2.6.24-19-generic_2.6.24-19.41_i386.deb

E: Sub-process /usr/bin/dpkg returned an error code (1)

[/Quote]

 

que faire ? vai tenter autoremove , apres vider le cache ?, jattend vos propositions khir

Link to comment
Share on other sites

la cause du probleme c ça (bien sur inchallah)

Dépaquetage de la mise à jour de linux-image-2.6.24-19-generic ...

dpkg : erreur de traitement de /var/cache/apt/archives/linux-image-2.6.24-19-generic_2.6.24-19.41_i386.deb (--unpack) :

 

ben je pense que le paquet télécharger est corrompu, c'est tout.

 

donc il faut faire un sudo apt-get clean et de refaire la MAJ

 

pour plus de détail sur le processus de nettoyage d'ubuntu clic here

Edited by amarsoft
Link to comment
Share on other sites

merci pour le lien amar , interessant mais g choisi d'enlever que les version obsolete.

 

le sudo apt-get clean va supprimer tout les paquets telechargés et installés ----> chuia hard a mon avis non ??!! ya til un moyen de viser que le fichier mis en cause ?

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...